package ovh.gasser.newshapes.attributes;

import java.awt.*;

public class ColorAttributes implements Attributes {
    public static final String ID = "COLOR_ATTRS";
    public final boolean filled;
    public final boolean stroked;
    public final Color filledColor;
    public final Color strokedColor;

    public ColorAttributes(boolean filled, boolean stroked, Color filledColor, Color strokedColor) {
        this.filled = filled;
        this.stroked = stroked;
        this.filledColor = filledColor;
        this.strokedColor = strokedColor;
    }

    @Override
    public String toString() {
        return "ColorAttributes{" +
                "filled=" + filled +
                ", stroked=" + stroked +
                ", filledColor=" + filledColor +
                ", strokedColor=" + strokedColor +
                '}';
    }

    @Override
    public String getID() {
        return ID;
    }
}
