package ovh.gasser.newshapes.shapes;

import ovh.gasser.newshapes.ShapeVisitor;
import ovh.gasser.newshapes.attributes.Attributes;

import java.awt.*;

public interface Shape {
    void accept(ShapeVisitor visitor);
    void setLoc(Point newLoc);
    void translate(int dx, int dy);
    Attributes getAttributes(String key);
    void addAttributes(Attributes attr);
    Rectangle getBounds();
    Shape clone();
}
